﻿---
author: Gregory Trolliet
title: LibreOffice Calc -- Graphiques et formatage conditionnel
pagetitle: Présentation
date: 8 octobre 2020
license: CC-BY-SA
---

# Présentation

* [Gregory Trolliet](https://trolliet.info)
* [Ognon](https://ognon.ch)
* [itopie](https://itopie.ch)
* Fichiers: [https://files.vulgarisons.info/calc](https://files.vulgarisons.info/calc)

![](by-sa.svg)

# Vos questions précises

# Les styles

## Définition

* Format d'affichage prédéfini
* Centralisation des paramètres
* Uniformisation
* Rapidité de modification et d'utilisation

## Configuration

*Styles&rarr;Gérer les styles*

Possibilité de créer et modifier des styles.  
Chaque style peut définir toutes les options de mise en forme des cellules.

:::notes
Possibilité de créer un template contenant tous les styles
dans le but d'avoir une charte graphique identique sur tous les documents.
:::

# Formatage conditionnel

Permet de formater dynamiquement vos cellules.  
*Format&rarr;Conditionnel&rarr;Gérer...*

<ul>
<li class="fragment" data-fragment-index="1">Condition...</li> 
<li class="fragment" data-fragment-index="2">Échelle de couleurs...</li>
<li class="fragment" data-fragment-index="2">Barre de données...</li>
<li class="fragment" data-fragment-index="2">Jeu d'icônes...</li>
<li class="fragment" data-fragment-index="2">Date...</li>
</ul>

:::notes
Tout est accessible depuis la fenêtre *Gérer*.
Possibilité de voir un exemple sur la feuille Recherche.

Exo: Tester avec la feuille Expérience.
Les cases étant petites, les nombres sont arrondis à 0 et 1...
:::

# Diagramme / Graphique

## Création

:::incremental
* Sélectionner la zone de données
* Cliquer sur le bouton *Insérer un diagramme*
* Choisir le type de diagramme
* *Potentiellement, ajouter un titre et des noms aux axes*
* **Valider**
:::

## Résultat

![](graph01.svg)

:::notes
* Problème d'échelle
* Problème d'axe X
:::

## Axe X

Possibilité de définir la première colonne comme étiquette.

*Clic-droit&rarr;Plage de données*

*Plage de données&rarr;Première colonne comme étiquette*

## Échelle

Possibilité de rajouter un axe Y secondairegradué différemment.

*Clic-droit&rarr;Insérer/supprimer des axes...*

Il faut ensuite spécifier quel axe la série va utiliser.

*Clic-droit sur la ligne&rarr;Formater les séries de données...&rarr;Options*

## Résultat

![](graph02.svg)

## Formater les axes

*Clic-droit&rarr;Formater l'axe*

* Définir l'échelle
* Affichage logarithmique
* Orienter les étiquettes
* Échelonner les étiquettes
* ...

## Enregistrer le graphique

*Clic-droit&rarr;Exporter comme image*

JPG, PNG, SVG, GIF, PDF, etc.

# Questions?
